/****************************************************
  toPS.h:

  ƥȥե -> ݥȥץѴե륿

                "toPS"ѥإåե

*****************************************************/
#include <sys/types.h>
#include <sys/stat.h>
#include <string.h>

/* for 'toPS -h'. ϡ⡼ɽˤ뤿ΤΤǤ
 * ˤϤäƤߤƤ͡
 */
#define MODE2COLUMNS

/* ȤͥȤФбˤϡ򥳥
 * ȤƲ
 */
/* #define  COMMENTNEST */

/* ---------------------------------------------------------------------
 Type definitions
*/

/*
typedef unsigned char  u_char;
typedef unsigned short u_short;
*/

#define VERSION   "toPS ver 1.20 1996/09/10"
#define SIGN      "Copyright (C) 1994,1995,1996 Kapibara(Tadanori Tezuka,CXK03441@niftyserve.or.jp)"

/* from PostScript point * 10*/
#define PSWIDTH  4950
#define PSHEIGHT 7300

/* Value definitions */
#define ASCII    0
#define KANJI    1
#define HANKAKU  2
#define KEISEN   3
#define RESET    4
#define EUC      0
#define SJIS     1
#define JIS      2
#define BUFSIZE  8192
#define LBUFSIZE 4096
#define DBUFSIZE 256
#define ARGBUF   256
#define ARGPBUF  32

#define MAXDEFS    255

/* for fontstyle definitions */
#define NOT_RESERVED  0
#define BOLD          1
#define OBLIQUE       2
#define BOLDOBLIQUE   3

#define FAIL      -1 
#define SUCCESS    0
#define ENDofFILE -1
#define ERROR     -1
#define NO         0
#define YES        1

#define ON         1
#define OFF        0

#define NOFLAG     0
#define FLAGON     1
#define FLAGOFF    2

/* ---------------------------------------------------------------------
   options
*/
#ifdef ANA_OPTC
#include "config.h"
int  opt_from       = 0;
int  opt_to         = 0;
int  opt_stdin      = OFF;
int  opt_NoofCopies = 1;
int  opt_Proportion = OFF;
int  opt_Kanjicode  = -1;   /* -1 .. unset , 0 .. euc, 1 .. sjis,  2 .. jis */
int  opt_blankright = OFF;
int  opt_plainout   = OFF;
#else
extern int  opt_tabwidth;
extern int  opt_multi;
extern int  opt_book;
extern int  opt_title;
extern int  opt_pageno;
extern int  opt_NoParFile;
extern int  opt_lineno;
extern int  opt_defno;
extern int  opt_username;
extern int  opt_headline;
extern int  opt_PSFontSize;
extern int  opt_LeftMargin;
extern int  opt_from;
extern int  opt_to;
extern int  opt_stdin;
extern int  opt_NoofCopies;
extern int  opt_Proportion;
extern int  opt_Kanjicode;
extern int  opt_blankright;
extern int  opt_plainout;
#endif

/* ---------------------------------------------------------------------
 definition of structures 
*/
typedef struct typeface {
  u_char   *str;
  u_char   type;
  struct typeface *next;
} Typeface;

typedef struct file {
  u_char      *name;
  struct file *next;
} File;


/* --------------------------------------------------------------------
   function proto-type .. not ANSI format 
*/

/* struty.c */
u_char *separate_token();
u_char  str_reserved();
int     chk_kanji_code();
u_char *separate_str_jis();
u_char *separate_str_euc();
u_char *separate_str_sjis();
void    bslash_fputs();
int     jstrncpy();
char   *jistoeuc();
char   *sjistoeuc();
u_short sjistojis();
void    preprocess_for_backspace();
int     is_sjis1();
/* fileio.c */
int     Fopen();
int     Fgetc();
/* output.c */
int     out_main();
/* read_typedef.c */
int     read_typedef();
/* ana_opt.c */
void    analize_optmain();
void    print_usage();
char    *getFilename();
/* read_typedef.c */
int     read_typedef();


