/****************************************************
  ana_opt.c:

  ƥȥե -> ݥȥץѴե륿


             Ƽ索ץϤ         

*****************************************************/
#define  ANA_OPTC
#include <stdio.h>
#include "toPS.h"

File *file_top = NULL;          /* ե̾ι¤ΤƬ    */
char *TOPSLIB  = LIBDIR;        /* 饤֥ǥ쥯ȥ(ѥ̾)  */

/* եΤ߻Ѥؿ */
static int  analize_options();
static char **mkargv();
static void option_error();
static int  search_typedef();

/********************************
 analize_optmain()

  ץϥᥤ롼

  arg : argc ... argc
        argv ... argv
  return value 
        ʤ
*******************************/
void analize_optmain(argc,argv)
int    argc;
char **argv;
{
  char *env;
  char **opt;
  int  n;

  env = (char *)getenv("TOPSLIB");          /* ĶѿTOPSLIB */
  if (env != NULL) TOPSLIB = env;

  env = (char *)getenv("TOPSARG");          /* ĶѿTOPSARG */
  /*
   *   Ķѿ TOPSARG ꤵƤ硢ĶѿȤargc,argv
   * Ѵanalize_options()ƤӽФ
   */
  if (env != NULL){
    opt = mkargv(env, &n);
    if (analize_options(n, opt) == ERROR) { 
      print_usage("setenv TOPSARG is incorrect!!");
      exit(1);
    }
  }
  /*
   *   analize_options()θƤӤĶѿTOPSARGǸƤӽФȤǡ
   * ǻꤵ줿Τͥ褵롣
   */
  if (analize_options(argc,argv) == ERROR) { 
    print_usage("");
    exit(1);
  }
}

/********************************
 analize_options()

  ץϥ롼

  arg : argc ... argc
        opt  ... argv
  return value 
        0 ... ̾
       -1 ... 顼
*******************************/
static int analize_options(argc,opt)
int    argc;
char **opt;
{
  int  flag;
  struct stat buf, *sbuf = &buf;
  File *file = NULL;

  /*
   *   ʤȤϻפsetenvǥեꤷƤؤн衣եʬ
   * ݥ󥿤ư롣
   */
  if (file_top != NULL) {
    for(file = file_top;file->next != NULL;file = file->next);
  }

  /* 
   *   ץ󤽤줾ˤĤƲϤѿͤѹ롣ޤ
   * ե̾ξϡե̾¤Τ˥ȥϿ롣
   */
  for(opt++;*opt != NULL;opt++) {
    if (**opt == '-') flag = FLAGOFF;           /* '-' ΤȤ ꥯꥢ */
    else if (**opt == '+') flag = FLAGON;       /* '+' ΤȤ        */
    else flag = NOFLAG;                         /* ե饰ʤ(ʳ)    */
    /*
     *   ե饰(-,+)ʤϡե̾Ȥߤʤ⤷ꤵ줿ե
     * ¸ߤʤϡ顼åUsageϤreturn.
     */
    if (flag == NOFLAG){
      if ((stat((*opt),sbuf) == -1)&&(opt_stdin == OFF)) {
	fprintf(stderr,"toPS : %s : No such file or directory\n", *opt);
	return(ERROR);
      }
      /* ե빽¤ΤؤΥȥɲ */
      if (file_top == NULL) {file = file_top = (File *)malloc(sizeof(File));}
      else {
	file->next = (File *)malloc(sizeof(File));
	file = file->next;
      }
      file->name = (u_char *)malloc(strlen(*opt) + 1);
      strcpy(file->name, *opt); file->next = NULL;
    } else {                         /* ե饰(ץξ) */
      switch(*(*opt + 1)){
        case '\0': /* -ޤ+Τߤξϡstdinɤ߹⡼ɤON */
	  opt_stdin    = ON; break;
	case '-' : /* ʤ⡼ */
	  opt_plainout = ON;opt_pageno = OFF;opt_title = OFF; break;
	case '4' : /*  4 */
	  opt_tabwidth = 4; break;
	case '8' : /*  8 */
	  opt_tabwidth = 8; break;
	case 'F' : /* ϥڡ (from) */
	  opt_from = atoi((*opt + 2));
	  if (opt_from <= 0) {
	    option_error("Invalid value in",*opt); return(ERROR);
	  }
	  break;
	case 'T' : /* λڡ (to)   */
	  opt_to = atoi((*opt + 2));
	  if (opt_to <= 0) {
	    option_error("Invalid value in",*opt); return(ERROR);
	  }
	  break;
	case 'm' : /* multicolumns */
	  if (*(*opt + 2) == 'm') opt_blankright = ON,opt_multi = ON;
	  else if (flag == FLAGON) opt_multi = ON;
	  else opt_multi = OFF;
	  break;
	case 'B' : /* multicolumns with Book Style */
	  if (flag == FLAGON) opt_book = ON;
	  else  opt_book = OFF;
	  break;
	case 't' : /* title */
	  if (flag == FLAGON) opt_title = ON;
	  else  opt_title = OFF;
	  break;
	case 'p' : /* Page No. */
	  if (flag == FLAGON) opt_pageno = ON;
	  else  opt_pageno = OFF;
	  break;
	case 'P' : /* set Page no par file */
	  if (flag == FLAGON) opt_NoParFile = ON;
	  else  opt_NoParFile = OFF;
	  break;
	case 'n' : /* Line No. */
	  if (flag == FLAGON) opt_lineno = ON;
	  else  opt_lineno = OFF;
	  break;
	case 'u' : /* User Name */
	  if (flag == FLAGON) opt_username = ON;
	  else  opt_username = OFF;
	  break;
	case 'L' : /* User Name */
	  if (flag == FLAGON) opt_headline = ON;
	  else  opt_headline = OFF;
	  break;
	case 'D' : /* set toPS.def<n> */
	  if ((*(*opt + 2) >= '0')&&(*(*opt + 2) <= '9'))
	    opt_defno = atoi((*opt + 2));
	  else {
	    if ((opt_defno = search_typedef(*opt + 2)) == -1){
	      option_error("Mode not found in",*opt);return(ERROR);
	    }
	  }
	  break;
	case 'f' : /* set fontsize    */
	  opt_PSFontSize = atoi((*opt + 2));
	  if (opt_PSFontSize <= 0) {
	    option_error("Invalid value in",*opt); return(ERROR);
	  }
	  break;
	case 'M' : /* set left margin    */
	  opt_LeftMargin = atoi((*opt + 2));
	  break;
	case '#' : /* set # of copies    */
	  opt_NoofCopies = atoi((*opt + 2));
	  if (opt_NoofCopies < 0) {
	    option_error("Invalid value in",*opt); return(ERROR);
	  }
	  break;
	case 'v' : /* Page No. */
	  if (flag == FLAGON) opt_Proportion = ON;
	  else  opt_Proportion = OFF;
	  break;
	case 'K' : /* set Kanji Code */
	  if ((*(*opt + 2) == 'e') || (*(*opt + 2) == 'E')) 
	    opt_Kanjicode = EUC;
	  else if ((*(*opt + 2) == 's') || (*(*opt + 2) == 'S'))
	    opt_Kanjicode = SJIS;
	  else if ((*(*opt + 2) == 'j') || (*(*opt + 2) == 'J'))
	    opt_Kanjicode = JIS;
	  break;
	case 'h' : /* help */
	case 'H' :
	  print_usage("");exit(1);break;
        default  : /* ̤Υץ */
	  option_error("Invalid option :",*opt);
	  print_usage("");exit(1);break;	  
	}
    }
  }

  return(0);
}


/****************************
  mkargv();

  argc,argvκ

    str ... ʸ
        argc... argc

   
        argv

****************************/
static char **mkargv(str,argc)
char *str;
int  *argc;
{
  static char buf[ARGBUF];    /* arg뤿ΥХåե */
  static char *arg[ARGPBUF];  /* argvѥȥݥ      */
  char *p,*q;
  int  f = 1,n = 1;

  arg[0] = "MKARGV";                     /* arg[0]ϤȤꤢMKARGVˤ */
  /*
   *   䥿֤ޤʸ󤫤顢ʸȴargϿ롣
   * ȴФ줿ʸϡbuf˳Ǽ롣
   */
  for(p = str,q = buf;*p != '\0';p++){
    if ((*p == '\t')||(*p == ' ')) {
      if (f == 0) {*q = '\0';f = 1;q++;}
    }
    else {
      if (f == 1) arg[n++] = q;
      *q = *p;q++;f = 0;
    }
  }

  *q = '\0';
  arg[n] = NULL;
  *argc  = n;
  return((char **)arg);
}

/******************************
 print_usage()

   Usageɽ

  arg: str ... ʸ

  return value :
       ʤ
******************************/
void print_usage(str)
char *str;
{
  int  n;
  char buf[DBUFSIZE];
  char *path;
  FILE *fp;

  fprintf(stderr,"%s\n",str);

  fprintf(stderr,"%s\n%s\n",VERSION, SIGN);
  fprintf(stderr,"Usage:toPS [-4/8] [+t/-t] [+m/-m/+mm] [+p/-p] [+P/-P]");
  fprintf(stderr," [+n/-n] [+u/-u] [+L/-L]\n");
  fprintf(stderr,"           [+B/-B] [+h/-h] [-M<n>] [-f<n>] [-F<n>] [-T<m>]");
  fprintf(stderr," [-D<n>] [--]\n");
  fprintf(stderr,"           [filename ..  / - (read from stdin) ]\n");
  fprintf(stderr,"Options:\n");
  fprintf(stderr,"   -4/-8       set tab size 4 or 8\t");
  fprintf(stderr,"+m/-m       set/unset multi \n");
  fprintf(stderr,"   +t/-t       set/unset title \t\t");
  fprintf(stderr,"+mm         insert blank page(multi)\n");
  fprintf(stderr,"   +p/-p       set/unset page no.\t");
  fprintf(stderr,"+P/-P       set/unset Pageno par file\n");
  fprintf(stderr,"   +n/-n       set/unset line no.\t");
  fprintf(stderr,"+u/-u       set/unset user name\n");
  fprintf(stderr,"   +L/-L       set/unset headlines\t");
  fprintf(stderr,"+B/-B       set/unset book mode\n");
  fprintf(stderr,"   -K(e|s|j)   force Kanjicode\t\t");
  fprintf(stderr,"-h/-H       print this help\n");
  fprintf(stderr,"   -#<n>       number of copies\t\t");
  fprintf(stderr,"--          set plain-text mode\n");
  fprintf(stderr,"   -M<n>       set left margin  = <n> mm\n");
  fprintf(stderr,"   -f<n>       set fontsize  = <n> point\n");
  fprintf(stderr,"   -F<n> -T<m> out page from <n> to <m>\n");
  fprintf(stderr,"   -D<n>       set toPS.def<n>, current def is \n");
  /* ⡼̾toPS.def<n>ե뤫ȴɽ */
  for(n = 0;n < MAXDEFS;n++){
    sprintf(buf, "toPS.def%d", n);
    if ((path = getFilename(buf)) == NULL) break;
    if ((fp = fopen(path, "r")) == NULL) continue;
    fprintf(stderr,"\t\t%d ... ",n);
    while(fgets(buf,DBUFSIZE,fp) != NULL) {
      if (buf[0] == '#') {
	buf[strlen(buf) - 1] = '\0';fprintf(stderr,"%s",buf + 1);
	break;
      }
    }
#ifdef MODE2COLUMNS
    if (n%2 == 0) fprintf(stderr,"\r\t\t\t\t");
    else fprintf(stderr,"\n");
#else
    fprintf(stderr,"\n");
#endif
    fclose(fp);
  }
#ifdef MODE2COLUMNS
  if (n%2 == 1) fprintf(stderr,"\n");
#endif
  /* ߤΥץ֤ɽ */
  fprintf(stderr,"Current options:\n    toPS ");
  fprintf(stderr,"-%d ",opt_tabwidth);
  if (opt_plainout  == ON) fprintf(stderr,"-- ");
  if (opt_title     == ON) fprintf(stderr,"+t "); else fprintf(stderr,"-t ");
  if (opt_multi     == ON) fprintf(stderr,"+m "); else fprintf(stderr,"-m ");
  if (opt_pageno    == ON) fprintf(stderr,"+p "); else fprintf(stderr,"-p ");
  if (opt_NoParFile == ON) fprintf(stderr,"+P "); else fprintf(stderr,"-P ");
  if (opt_lineno    == ON) fprintf(stderr,"+n "); else fprintf(stderr,"-n ");
  if (opt_username  == ON) fprintf(stderr,"+u "); else fprintf(stderr,"-u ");
  if (opt_headline  == ON) fprintf(stderr,"+L "); else fprintf(stderr,"-L ");
  if (opt_book      == ON) fprintf(stderr,"+B "); else fprintf(stderr,"-B ");
  fprintf(stderr,"-#%d ",opt_NoofCopies);
  fprintf(stderr,"-M%d ",opt_LeftMargin);
  fprintf(stderr,"-f%d ",opt_PSFontSize);
  if (opt_from != 0)  fprintf(stderr,"-F%d ",opt_from);
  if (opt_to   != 0)  fprintf(stderr,"-T%d ",opt_to);
  fprintf(stderr,"-D%d\n\n",opt_defno);
}


/******************************
 option_error()

   顼ɽ

  arg: str ... ʸ
       opt ... ץ
  return value :
       ʤ
******************************/
static void option_error(str, opt)
char *str, *opt;
{
  fprintf(stderr,"toPS : %s  %s\n", str, opt);
  return;
}


/*************************************
  getFilename()

  TOPSLIBꤵ줿ǥ쥯ȥ꤫
 եõեѥ֤

 arg : fname  ... file name

 return value ... full path name

*************************************/
char *getFilename(fname)
char *fname;
{
  char *p, *q;
  static char path[LBUFSIZE];
  int  find = NO;
  struct stat buf, *sbuf = &buf;

  /*
   *   TOPSLIBˤ path1:path2:path3:... ηǥѥꤵƤΤǡ
   * ѥ򣱤Ĥȴơ줾Υǥ쥯ȥ˥ե뤬¸ߤ
   * ǧԤʤ
   */
  for(p = TOPSLIB; *p != '\0';p++){
    for(q = path; (*p != ':')&&(*p != '\0');) *q++ = *p++; /* : ޤǥå */
    *q = '\0';
    if (*(q - 1) != '/') strcat(path,"/");
    strcat(path, fname);                       /* եѥΥե̾κ */
    if (stat(path,sbuf) == 0) {find = YES;break;}
  }

  if (find == YES) return(path);
  else return(NULL);
}


/*****************************************************
  search_typedef():

   .defեθԤʤ⡼̾str
  פΤõ.def<n><n>֤
  㤨С #TEXT mode ξϡstr = "TEXT"䡢"TE"
  ʤɤϰפȤߤʤ

     : str .... ʸ
   : n   .... .defեֹ
          -1   .... ȯǤʤä
*****************************************************/
static int search_typedef(str)
char *str;
{
  char buf[DBUFSIZE];
  char *path;
  FILE *fp;
  int n,ret = -1;
  
  for(n = 0;n < MAXDEFS;n++){
    sprintf(buf, "toPS.def%d", n);
    /* ե뤬¸ߤʤϡ롼פȴ */
    if ((path = getFilename(buf)) == NULL) break; 
    if ((fp = fopen(path, "r")) == NULL) continue;
    while(fgets(buf,DBUFSIZE,fp) != NULL) {
      if (buf[0] == '#') {                   /* ⡼ɤΥȥȴФ */
	if (strncmp(str, &buf[1], strlen(str)) == 0) ret = n;
	break;
      }
    }
    if (ret != -1) break;
  }

  return(ret);
}
