/***************************************************
  typedef.c:

    ͽʸեɤ߹िδؿ

          1994.05.11 by Tezuka, Tadanori
****************************************************/
#include <stdio.h>
#include "toPS.h"

Typeface   *typeface_top = NULL; /* ե¤ΤΤƬݥ */
u_char     *typename     = NULL; /* ⡼̾(ե̾)           */
int         C_Comment    = OFF;  /* CΥȽ ON/OFF               */

extern u_char *sep;      /* ʸȡʬ뤿Υѥ졼ʸ */

/*********************************
 read_typedef()

  եɤ߹

  arg : filename ... ե̾ 

  return value :
        0  ... normal 
       -1  ... error 
*********************************/
int read_typedef(filename)
char *filename;
{
  FILE *fp;
  u_char status = BOLD;     /* եȤμ(ͤBOLD) */
  u_char str[DBUFSIZE];     /* ɤ߹ߥХåե             */
  u_char *p;
  char   *path;
  Typeface *tp,*tq;

  /*
   *   ե뤬TOPSLIBˤ뤫ɤǧ롣ϡեѥ
   * ե֤̾롣
   */
  if ((path = getFilename(filename)) == NULL) {
    fprintf(stderr,"toPS : can not find file %s\n", filename);
    exit(1);
  }

  /* ե򳫤 */
  if ((fp = fopen(path, "r")) == NULL) {
    fprintf(stderr,"toPS : can not open file %s\n", filename);
    exit(1);
  }

  /*
   *   饤󤺤ɤ߹ǡͽʤͽ򡢤ǤʤС
   * ե¤Τ˳Ǽ롣
   */
  while(fgets(str,DBUFSIZE,fp) != NULL) {
    /* # ʲˤĤŤ⡼̾Ԥʤ */
    if ((str[0] == '#')&&(typename == (u_char *)0)) {
      for(p = str;*p != '\0';p++)
	if ((*p == '\t')||(*p == '\n')) {*p = '\0'; break;}
      typename = (u_char *)malloc(strlen(str) + 1);
      strcpy(typename, str+1); 
      continue;
    }
    /* ѥ졼ʸϿ */
    if (strncmp(str,".SEPARATOR",10) == 0) {
      sep = (u_char *)malloc(strlen(str));
      sep[0] = ' '; sep[1] = '\t'; strcpy(sep + 2, str + 11);
      continue;
    }
    /* CΥȽͭˤ */
    if (strncmp(str,".C-Comment",10) == 0) {
      C_Comment = ON;
      continue;
    }
    /*  */
    if (strncmp(str,".TABWIDTH",9) == 0) {
      for(p = str+10; *p != '\0'; p++)
        if ((*p != ' ')&&(*p != '\t')) break;
      if ((*p >= '0')&&(*p <= '9')&&(DEFAULT_TABWIDTH == opt_tabwidth)){
	opt_tabwidth = atoi(p);
	fprintf(stderr,"TABWIDHT (in %s) = %d\n", filename, opt_tabwidth);
      }
      continue;
    }

    /* ڡ֡ʸ */
    for(p = str;*p != '\0';p++)
      if ((*p == ' ')||(*p == '\t')||(*p == '\n')) {*p = '\0'; break;}
    if (str[0] == '\0') continue;                              /* Խ */

    /* ϿƤեȤΥפꤵ줿Τѹ */
    if (strcmp((char *)str,".BOLD") == 0)             status = BOLD;
    else if (strcmp((char *)str,".OBLIQUE") == 0)     status = OBLIQUE;
    else if (strcmp((char *)str,".BOLDOBLIQUE") == 0) status = BOLDOBLIQUE;
    else {
      /*
       * ͽȤƥե¤ΤϿ
       */
      tq = (Typeface *)malloc(sizeof(Typeface));
      tq->str = (u_char *)malloc(strlen(str) + 1);
      strcpy((char *)tq->str, (char *)str);
      tq->type = status;
      tq->next= NULL;
      if (typeface_top == NULL) typeface_top = tp = tq;
      else {tp->next = tq; tp = tq;}
    }
  }

  fclose(fp);
}
