/***************************************
  struty.c: 

      ʸԤʤδؿ

     1994.04.04 by Tezuka, Tadanori
***************************************/
#include <stdio.h>
#include "toPS.h"

int  Kanji_code = EUC;   /*  ǥե = EUC */
/* ʸڤ륻ѥ졼ʸ */
u_char *sep     = (u_char *)"!$%&()~=~|-^\\@`[{;+:*]},<.>/? \t'\"";


/*****************************************
  read_oneline()

   ɤ߹

   arg : buf ... ɤ߹ߥХåե

   return value 
      ɤ߹͡뤤ENDofFILE
******************************************/
int read_oneline(buf)
char *buf;
{
  static int eof = NO;   /* EOF򼨤ѿ */
  int n,c;

  /*
   * ⤷θƤӽФǡEOFޤƤENDofFILE֤
   */
  if (eof == YES) { eof = NO;*buf = '\0';return(ENDofFILE); }

  for(n = 0;;n++){                                        /* 1ʬɤ߹ */
    c = Fgetc();
    if (c == '\n') break;
    /* ɤ߹ǡEOFʤ顢eofyesˤƽλ */
    if (c == ENDofFILE) {eof = YES; break; }
    if (n > LBUFSIZE) {          /* Хåե򥪡Сν */
      fprintf(stderr,"toPS :line buffer over.  > %d\n",LBUFSIZE);
      break;
    }
    *buf++ = c;
  }

  *buf = '\0';  /* ХåեκǸˤϡEOFĤ */
  /* ɤ߹ʸ0EOFξϡENDofFILE֤ */
  if ((n == 0)&&(eof == YES)) {eof = NO;return(ENDofFILE);}

  return(n);
}


/*****************************************
  separate_token()

  ʸ򥻥ѥ졼ʸʬ䤹롥

   arg:  buf  ... ʸ
         str  ... ʬ䤷ʸ

   return value:
     ʸμΥХåեؤΥݥ
*****************************************/
u_char *separate_token(buf,str)
u_char *buf;
u_char *str;
{
  u_char *p,*q;
  int    stat,oldstat;

  /* ѿν */
  stat = oldstat = 0; p = buf;
  /*
   *   Ƭʸѥ졼ޤ^HɤȽꤷפϥơ
   * ѹưʲν򥹥롼롣
   */
  for(q = sep;*q != '\0';q++) 
    if (*p == *q) {stat = oldstat = 1;break;}
  if (*p == 0x08) { /* backspace */
    *str++ = *p++; stat = oldstat = 1;
  }
  *str++ = *p++;

  /*
   * ѥ졼ޤǡʸȴstr
   */
  for(;stat == 0;){
    if (*p == '\0') break;                       /* ʸ褿 */
    if (*p == 0x08) break;                       /* ^H                     */
    for(q = sep;*q != '\0';q++) if (*p == *q) break; /* ѥ졼         */
    if (*q == '\0') stat = 0;
    else stat = 1;
    if (oldstat != stat) break;
    *str++ = *p++;
  }
  *str = '\0';
  return(p);
}


/*****************************************
  str_reserved()

  ͽʸ󤫤ɤĴ١̤֤

  arg : str ... ʸؤΥݥ

  return value 

       NOT_RESERVED  ... ͽǤϤʤ
       BOLD          ... BOLDͽ
       ITALIC        ... ITALICͽ
       BOLDITALIC    ... BOLDITALICͽ
*****************************************/     
u_char str_reserved(str)
u_char *str;
{
  Typeface *p;
  extern Typeface *typeface_top;
  u_char  ret = NOT_RESERVED;

  for(p = typeface_top;p != NULL;p = p->next)
    if (strcmp(str, p->str) == 0) {ret = p->type; break;}
  return(ret);
}

/*****************************************
  chk_kanji_code()

  ХåեĴ١ɤꤹ

  arg : buf ... ХåեؤΥݥ

  return value:
         0 ... EUC (default)
         1 ... SJIS
         2 ... JIS
	-1 ... something Error happen
*****************************************/
int chk_kanji_code(buf)
char *buf;
{
  int  i;
  int  kcode = EUC;
  unsigned char c1,c2;

  while(*buf != '\0'){
    c1 = *buf++;
    if (c1 == 033) {
      c1 = *(buf);
      if (c1 == '\0') break;
      c2 = *(buf+1);
      if (c2 == '\0') break;
      if (c1 == 044) {kcode = JIS; break;}
    } else {
      c2 = *buf++;
      if (c2 == '\0') break;
      if (kcode == EUC) {
	if ((is_euc1((int)c1))&&(is_euc2((int)c2))) {
	  kcode = EUC; 
	} else if ((is_sjis1((int)c1))&&is_sjis2((int)c2)) {
	  kcode = SJIS;
	}
      } else if (kcode == SJIS) {
	if ((is_sjis1((int)c1))&&is_sjis2((int)c2)) {
	  kcode = SJIS;
	} else if ((is_euc1((int)c1))&&(is_euc2((int)c2))) {
	  kcode = EUC;
	}
      }
    }
  }
  
  Kanji_code = kcode;
  return(kcode);
}



/**********************************************
  separate_str_XXX()

  ASCII,KANJI,HANKAKUʸƬƱ
 ȤޤȴФȴФ줿ʸ󤬴
 ξϡ٤ƥեȥɤʤJIS
 Ѵ롥

   arg : p     ... ʸäƤХåե
         buf   ... ڤФʸǼ
	           Хåե
         code  ... ڤФʸμ
                   ASCII, KANJI ,HANKAKU
   return value:
         ڤФʸμʸؤΥݥ
        
**********************************************/

/**********************
  for JIS-kanji code
**********************/
u_char *separate_str_jis(p,buf,code)
u_char *p,*buf;
int    *code;
{
  u_char c1,c2;
  static int kcode = ASCII;
  int    oldcode;

  if (*code == RESET) {kcode = ASCII; return(NULL);}

  for(oldcode = kcode;oldcode == kcode;){
    if (*p == '\0') break;  /* End of buffer */
    c1 = *p++;
    if (c1 == 033) {
      c1 = *p++;c2 = *p++;
      if (c1 == 044) kcode = KANJI;
      else if (c1 == 050) kcode = ASCII;
    } else *buf++ = c1;
  }

  *buf = '\0';*code = oldcode;
  return(p);
}
  

/*********************
  for EUC-kanji code
   ĥ
*********************/
u_char *separate_str_euc(p,buf,code)
u_char *p,*buf;
int    *code;
{
  static int kcode = RESET;
  u_char c;
  u_short jis;
  int    oldcode;


  if (*code == RESET) {kcode = RESET; return(NULL);}

  for(oldcode = kcode;oldcode == kcode;){
    if (*p == '\0') break;  /* End of buffer */
    c = *p++;
    if ((c == 0x8e)||(c == 0x8f)) {     /* Hankaku */
      if (kcode != HANKAKU) {kcode = HANKAKU;p--;}
      else *buf++ = *p++;
    } else if ((c == 0xa8)&&((*p >= 0xa1)&&(*p <= 0xc0))) {
      if (kcode != KEISEN) {kcode = KEISEN;p--;}
      else {*buf++ = c & 0x7f;*buf++ = *p++ & 0x7f;}
    } else if (c > 0x7f) {
      if (kcode != KANJI) {kcode = KANJI;p--;}
      else {*buf++ = c & 0x7f;*buf++ = *p++ & 0x7f;}
    } else {
      if (kcode != ASCII) {kcode = ASCII;p--;}
      else {*buf++ = c;}
    }
  }

  *buf = '\0';*code = oldcode;
  return(p);
}



/**********************
  for SJIS-kanji code
**********************/
u_char *separate_str_sjis(p,buf,code)
u_char *p,*buf;
int    *code;
{
  static int kcode = RESET;
  u_char c1,c2;
  u_short jis;
  int    oldcode;

  if (*code == RESET) {kcode = RESET; return(NULL);}

  for(oldcode = kcode;oldcode == kcode;){
    if (*p == '\0') break;  /* End of buffer */
    c1 = *p++;
    if (is_sjis1(c1)) {
      if (kcode != KANJI) {kcode = KANJI;p--;}
      else {
	c2 = *p++;
	jis = sjistojis(c1,c2);
	*buf++ = (jis >> 8) & 0xff;
	*buf++ = jis & 0xff;
      }
    } else if ((0xa0 <= c1)&&(c1 <= 0xdf)) {
      if (kcode != HANKAKU) {kcode = HANKAKU;p--;}
      else *buf++ = c1;
    } else {
      if (kcode != ASCII) {kcode = ASCII;p--;}
      else *buf++ = c1;
    }
  }

  *buf = '\0';*code = oldcode;
  return(p);
}

/***************************************
  bslash_fputs()

   backslashʣư롣

  arg : str  .... ʸ
        fp   .... 

  return value :
        ʤ
***************************************/
void bslash_fputs(str,fp)
u_char *str;
FILE   *fp;
{
  while(*str != '\0'){
    switch(*str) {
      case '(' : fputc('\\', fp);break;
      case ')' : fputc('\\', fp);break;
      case '\\': fputc('\\', fp);break;
    }
    fputc(*str, fp);str++;
  }
}


/**********************************
 jstrncpy()

   strncpyEUCɴб

   ⤷n Хܤ n+1 Х
  ǴƤ顢ʸ
  ;ʬɤ߽Ф

  arg : p   ..... destination
        q   ..... source
        n   ..... n byte
  return value
        ԡʸ
***********************************/
int jstrncpy(p,q,n)
u_char *p,*q;
int     n;
{
  int ret;
  int col; 

  for(ret = 0,col = 0;col < n;col++,ret++){
    if (*q == '\0') break;
    if (*q == '\t') col += opt_tabwidth - col % opt_tabwidth - 1;
    if (*q == 0x08) col--; /* backspace */
    if ((*q == 0x8e)||(*q == 0x8f)) {
      *p++ = *q++;*p++ = *q++;ret++;
    } else if (*q > 0x7f) { 
      ret++;col++;
      *p++ = *q++;*p++ = *q++;
    } else *p++ = *q++;
  }
  *p = '\0';
  return(ret);
}


/***********************
  JIS code to EUC code

   * string version *
***********************/
char *jistoeuc(p,q)
u_char *p,*q;
{
  u_char  c1,c2;
  int     kcode = ASCII;
  char  *dst;

  dst = (char *)p;

  while(*q != '\0') {
    if (*q == 033) {
      c1 = *++q;c2 = *++q;q++;
      if (c1 == 044) kcode = KANJI;
      else if (c1 == 050) {
	if (kcode == ASCII) kcode = HANKAKU;
	else kcode = ASCII;
      }
    } else if (kcode == KANJI) {*p++ = (*q++)|0x80;*p++ = (*q++)|0x80;}
    else if (kcode == HANKAKU) {*p++ = 0x8e; *p++ = (*q++)|0x80; }
    else *p++ =  *q++;
  }
  *p = '\0';
  return(dst);
}

/***********************
  SJIS code to EUC code

   * string version *
***********************/
char *sjistoeuc(p,q)
u_char *p,*q;
{
  u_char c1,c2;
  u_short jis;
  char  *dst;

  dst = (char *)p;

  while(*q != '\0'){
    c1 = *q++;
    if (is_sjis1(c1)) {
      c2 = *q++;
      jis = sjistojis(c1,c2);
      *p++ = ((jis >> 8) & 0xff) | 0x80;
      *p++ = (jis & 0xff) | 0x80;
    } else if ((0xa0 <= c1)&&(c1 <= 0xdf)) {
      *p++ = 0x8e;
      *p++ = c1;
    } else *p++ = c1;
  }

  *p = '\0';
  return(dst);
}

/****************************************
 preprocess_for_backspace(buf)

  ХåڡäϡХå
 ڡʸäϡ
 ˥奢ʤɤǡS^HSʸ󤬽Ф
 ȤĴ뤿
****************************************/
void preprocess_for_backspace(buf)
char *buf;
{
  char *p,*q;

  for(p = q = buf;*p != '\0'; p++, q++){
    if (*p == 0x08) { /* ^H ... backspace */
      *(--q) = *p;
    } else {
      *q = *p;
    }
  }
  *q = '\0';
  return;
}

/****************************************
  is_sjis1(c)
   եJIS ХȤɤ
  Ƚꤹ롣
****************************************/
int is_sjis1(c)
int c;
{
  if ((0x81 <= c)&&(c <= 0x9f)) return(c);
  if ((0xe0 <= c)&&(c <= 0xfc)) return(c);
  return(0);
}

/****************************************
  is_sjis2(c)
   եJIS ХȤɤ
  Ƚꤹ롣
****************************************/
int is_sjis2(c)
int c;
{
  if ((0x40 <= c)&&(c <= 0x7e)) return(c);
  if ((0x80 <= c)&&(c <= 0xfc)) return(c);
  return(0);
}

/****************************************
  is_euc1(c)
   euc ХȤɤȽꤹ롣
****************************************/
int is_euc1(c)
int c;
{
  if (c == 0x8e) return(c);
  if ((0x90 <= c)&&(c <= 0x9f)) return(c);
  if ((0xa1 <= c)&&(c <= 0xfe)) return(c);
  return(0);
}

/****************************************
  is_euc2(c)
   euc ХȤɤȽꤹ롣
****************************************/
int is_euc2(c)
int c;
{
  if ((0xa0 <= c)&&(c <= 0xfe)) return(c);
  return(0);
}


/*******************************
  sjistojis()

  sjis -> JIS ؤѴ
*******************************/
u_short sjistojis(sh,sl)
u_char sh,sl;
{
  if (sh > 0x9f) sh += -0xe0 + 0xa0;
  sh = (sh - 0x81)*2 + 0x21;
  if (sl > 0x9e) {
    ++sh;
    sl += -0xa0 + 0x21 + 1;
  }
  else {
    if (sl  > 0x7f) sl += -0x40 - 1 + 0x21;
    else sl += -0x40 + 0x21;
  }
  return((unsigned short)(((sh << 8)|sl)&0xffff));
}
